# Class WandViewBehavior.TranslationListener6D

java.lang.Object
com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor
com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
com.sun.j3d.utils.behaviors.vp.WandViewBehavior.TranslationListener6D

All Implemented Interfaces:
  `SensorButtonListener, SensorReadListener`

Enclosing class:
  `WandViewBehavior`

public class WandViewBehavior.TranslationListener6D extends WandViewBehavior.ListenerBase
Implements a 6DOF sensor button listener that translates the view platform along the direction the sensor is pointing.

Since:
  Java 3D 1.3
See Also:
  - `WandViewBehavior.setButtonAction6D(int, int)`
  - `WandViewBehavior.setTranslationSpeed(double, int, int)`
  - `WandViewBehavior.setAccelerationTime(double)`
  - `WandViewBehavior.setConstantSpeedTime(double)`
  - `WandViewBehavior.setFastSpeedFactor(double)`

## Field Summary

### Fields inherited from class WandViewBehavior.ListenerBase

`sensorToTracker, sensorToVworld, trackerToVworld, viewPlatformToVworld`

## Constructor Summary

Constructors
Constructor
Description
`TranslationListener6D(boolean reverse)`
Construct a new translation button listener for a 6DOF sensor.

## Method Summary

Modifier and Type
Method
Description
`void`
`dragged(SensorEvent e)`
This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation.
`void`
`pressed(SensorEvent e)`
This method is called when a sensor's button is pressed.

### Methods inherited from class WandViewBehavior.ListenerBase

`conditionViewScale, endAction, getPhysicalToViewPlatformScale, getPhysicalToVirtualScale, initAction, isActive, released, transformAboutCenter, translateTransform`

### Methods inherited from class SensorInputAdaptor

`clicked, read`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TranslationListener6D

public TranslationListener6D(boolean reverse)
Construct a new translation button listener for a 6DOF sensor.

Parameters:
  `reverse` - if true, translate the view platform backwards; otherwise, translate the view platform forwards

## Method Details

### pressed

public void pressed(SensorEvent e)
Description copied from interface: `SensorButtonListener`
This method is called when a sensor's button is pressed.

Specified by:
  `pressed` in interface `SensorButtonListener`
Overrides:
  `pressed` in class `WandViewBehavior.ListenerBase`
Parameters:
  `e` - the sensor event

### dragged

public void dragged(SensorEvent e)
Description copied from interface: `SensorButtonListener`
This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation. The sensor value has not necessarily changed from the last drag event.

Specified by:
  `dragged` in interface `SensorButtonListener`
Overrides:
  `dragged` in class `SensorInputAdaptor`
Parameters:
  `e` - the sensor event